// 아이디어
// 그리디인 이유
// 두 배열을 하나씩 조합해서 풀면
// 엄청 오래걸리고, 오버플로우 발생 가능
// 한 배열은 오름차순,
// 또 한 배열은 내림차순으로 배열하고
// 각 같은 인덱스끼리 합을 구하면 된다.
// 이는 각 배열의 최소값을 만회하기 위해 가장 큰값들이
// 메꿔주는 것이다.
// 가장 최소 부터 통과하지 못하면
// 그 이후로는 안될 것이 자명하기 때문이다.
// 따라서 최적의 결과가 하나씩 매칭해도 된다는 결과가 나온다.

function twoArrays(k, A, B) {
  A = A.sort((a, b) => a - b);
  B = B.sort((a, b) => b - a);

  for (let i = 0; i < A.length; ++i) {
    if (k > A[i] + B[i]) return "NO";
  }
  return "YES";
}
